Skip to content

Get account by ID

Request

Get recipient account info by ID.

V1 and v2 versions are cross compatible, but the v2 endpoint provides additional features.

Security
UserToken
Path
accountIdinteger, (int64)required

Recipient account ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v2/accounts/{accountId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Recipient account details.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

ID of the recipient. Use the returned id as sourceAccount to specify the refund recipient when creating transfers.

Example:40000000
creatorIdinteger, (int64)

Account entity that owns the recipient account.

Example:41000000
profileIdinteger, (int64)

Specific profile that owns the recipient account.

Example:30000000
nameobject

Recipient name details.

currencystring

3 character currency code.

Example:"GBP"
countrystring

2 character country code.

Example:"GB"
typestring

Recipient type.

Example:"SortCode"
legalEntityTypestring

Entity type of recipient.

Example:"PERSON"
activeboolean

Status of the recipient.

Example:true
detailsobject

Account details (currency/type-specific). The keys present vary by currency route and recipient type (e.g., sort code, IBAN, SWIFT, email).

commonFieldMapobject

Map of key lookup fields on the account.

Example:
{ "accountNumberField": "accountNumber", "bankCodeField": "sortCode" }
hashstring

Account hash for change tracking.

Example:"666ef880f8aa6113fa112ba6531d3ed2c26dd9fgbd7de5136bfb827a6e800479"
accountSummarystring

Summary of account details for ease of lookup.

Example:"(04-00-75) 37778842"
longAccountSummarystring

Account details summary.

Example:"GBP account ending in 8842"
displayFieldsArray of objects

Lookup fields (key/label/value) for rendering a UI.

Example:
[ { "key": "details/sortCode", "label": "UK sort code", "value": "04-00-75" }, { "key": "details/accountNumber", "label": "Account number", "value": "37778842" } ]
isInternalboolean

Indicates whether recipient is internal.

Example:false
ownedByCustomerboolean

If recipient account belongs to profile owner.

Example:false
confirmationsobject

Verification results for the recipient's details. Only populated for currencies with recipient verification enabled (CNY, KRW, INR, IDR, EUR). See the Recipient verification guides for how to handle these.

Response
{ "id": 40000000, "creatorId": 41000000, "profileId": 30000000, "name": { "fullName": "John Doe", "givenName": null, "familyName": null, "middleName": null, "patronymicName": null, "cannotHavePatronymicName": null }, "currency": "GBP", "country": "GB", "type": "SortCode", "legalEntityType": "PERSON", "active": true, "details": { "reference": null, "sortCode": "040075", "accountNumber": "37778842", "hashedByLooseHashAlgorithm": "ad245621b974efa3ef870895c3wer419a3f01af18a8a5790b47645dba6304194" }, "commonFieldMap": { "accountNumberField": "accountNumber", "bankCodeField": "sortCode" }, "hash": "666ef880f8aa6113fa112ba6531d3ed2c26dd9fgbd7de5136bfb827a6e800479", "accountSummary": "(04-00-75) 37778842", "longAccountSummary": "GBP account ending in 8842", "displayFields": [ { "key": "details/sortCode", "label": "UK sort code", "value": "04-00-75" }, { "key": "details/accountNumber", "label": "Account number", "value": "37778842" } ], "isInternal": false, "ownedByCustomer": false, "confirmations": { "acceptedOutcomes": false, "acceptedAt": null, "quoteId": null, "outcomes": [ {} ] } }